#include <stdio.h>
#include <stdlib.h>
#include <dlfcn.h>
#include "dbmodule.h"

int main(int argc, char** argv) {
	void*				DBhandle;
	db_handle			handle;
	struct db_module*	ModuleInfo;

	DBhandle=dlopen("./module.so", RTLD_NOW);
	if (!(ModuleInfo=dlsym(DBhandle, "db_module_info"))) {
		fprintf(stderr, dlerror());
		exit(1);
	}

	ModuleInfo->initialize(&handle);
	ModuleInfo->open(&handle);
	dlclose(DBhandle);

	return 0;
}

