#include <stdio.h>
#include <stdlib.h>
#include <gdbm.h>
#include "dbmodule.h"

int initialize(db_handle* handle) {
	*handle=0;	// indeed, we don't need this now
	printf("Initializing\n");
	return 0;
}

int open(db_handle* handle) {
	GDBM_FILE	DB;

	DB=gdbm_open("testfile", 512, GDBM_WRCREAT, 0644 , 0);
	*handle=DB;
	return 0;
}

int close(db_handle handle) {
	printf("Closing driver\n");
	return 0;
}

struct db_module db_module_info = {
	&initialize,		/* initialization */
	&open,				/* open */
	&close				/* close */
};
